clang 8.0.0

Public Attributes | List of all members
clang::ASTUnit::StandaloneFixIt Struct Reference

`#include "clang/Frontend/ASTUnit.h"`

Collaboration diagram for clang::ASTUnit::StandaloneFixIt:
[legend]

## Public Attributes
std::pair< unsigned, unsigned > | RemoveRange
std::pair< unsigned, unsigned > | InsertFromRange
std::string | CodeToInsert
bool | BeforePreviousInsertions

## Detailed Description

Definition at line 89 of file ASTUnit.h.

## Member Data Documentation

## ◆ BeforePreviousInsertions

bool clang::ASTUnit::StandaloneFixIt::BeforePreviousInsertions

Definition at line 93 of file ASTUnit.h.

Referenced by makeStandaloneFixIt().

## ◆ CodeToInsert

std::string clang::ASTUnit::StandaloneFixIt::CodeToInsert

Definition at line 92 of file ASTUnit.h.

Referenced by makeStandaloneFixIt().

## ◆ InsertFromRange

std::pair<unsigned, unsigned> clang::ASTUnit::StandaloneFixIt::InsertFromRange

Definition at line 91 of file ASTUnit.h.

Referenced by makeStandaloneFixIt().

## ◆ RemoveRange

std::pair<unsigned, unsigned> clang::ASTUnit::StandaloneFixIt::RemoveRange

Definition at line 90 of file ASTUnit.h.

Referenced by makeStandaloneFixIt().

The documentation for this struct was generated from the following file:

- include/clang/Frontend/ASTUnit.h